Bug 205309 - (perl-Algorithm-C3) Review Request: perl-Algorithm-C3 - Module for merging hierarchies using the C3 algorithm
Review Request: perl-Algorithm-C3 - Module for merging hierarchies using the ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Algorithm...
:
Depends On:
Blocks: FE-ACCEPT perl-Class-C3
  Show dependency treegraph
 
Reported: 2006-09-05 18:24 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 00:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 18:24:37 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Algorithm-C3-0.05-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Algorithm-C3.spec

Description:
This module implements the C3 algorithm.  Most of the uses I have for C3
revolve around class building and metamodels, but it could also be used for
things like dependency resolution as well since it tends to do such a nice
job of preserving local precendence orderings.
Comment 1 Patrice Dumas 2006-09-06 13:52:54 EDT
Why do you use Build instead of the more classical Makefile.PL?
I personally don't care, but it is not what is proposed in the
README.
Comment 2 Chris Weyl 2006-09-06 16:38:38 EDT
Build with Build.PL is what cpanspec spits out by default if available, as (I'm
guessing here it's motivation here) it is a newer model.

From my perspective, it builds just fine, and if upstream ever decides to drop
Makefile.PL support we're all set.
Comment 3 Jose Pedro Oliveira 2006-09-06 17:47:03 EDT
A couple of notes about "Makefile.PL vs Build.PL" or "ExtUtils::MakeMaker vs
Module::Build"

1. If a perl distro includes both the Build.PL and the Makefile.PL file, there
   are good chances that the Makefile.PL has been generated from the Build.PL
   file.  In these cases is better to package the module using Build.PL (BR: 
   perl(Module::Build).  Note: in the past the generated Makefile.PL not always
   installed correctly. 

2. In the past the documentation of Module::Build stated that Module::Build
   *would* replace ExtUtils::MakeMaker.  This now has been corrected (see the
   Module::Build changelog) and both installation methods will be supported.
   
3. In the past the Michael G Schwern's presentation "MakeMaker Is DOOMED! or
   MakeMaker is dead! Long live Module::Build!" also caused some confusion.   
   (http://schwern.org/~schwern/talks/MakeMaker_Is_DOOMED/slides/slide001.html)
   Michael Schwern was at the time the perl test guy and the maintainer of   
   ExtUtils::MakeMaker.

4. Module::Build is a perl core module since perl 5.9.4. Perl 5.10 will
   supported Makefile.PL and Build.PL natively.  Right now Module::Build must
   be installed from CPAN or from a package repository.  Module::Build is
   rather important as it doesn't require external utilities such as make (and
   its flavours) which is a must if you must support lot of platforms (UNIX,
   VMS, Win32, ...) 


jpo
Comment 4 Chris Weyl 2006-09-06 18:08:13 EDT
Thanks for the most excellent summary, Jose :)  Would you mind if I posted that
on the wiki somewhere?
Comment 5 Jose Pedro Oliveira 2006-09-06 19:13:37 EDT
(In reply to comment #4)
> Thanks for the most excellent summary, Jose :)  Would you mind if I posted that
> on the wiki somewhere?

Not at all! Go ahead.

One other thing that I should be placing in the wiki is this rather outdated
document  http://gsd.di.uminho.pt/jpo/perl/specfiles/.  Do you know a good tool
to convert HTML pages into wiki formats?

Comment 6 Jason Tibbitts 2006-09-06 23:50:58 EDT
Sorry to step into this conversation, but I have some time for reviews, so....

* source files match upstream:
   d087e68c937e7076bb07396b281685c1  Algorithm-C3-0.05.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Algorithm::C3) = 0.05
   perl-Algorithm-C3 = 0.05-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful.
   Files=11, Tests=57,  1 wallclock secs ( 0.32 cusr +  0.14 csys =  0.46 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 7 Chris Weyl 2006-09-07 00:47:04 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!
Comment 8 Paul Howarth 2006-09-07 06:38:18 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Thanks for the most excellent summary, Jose :)  Would you mind if I posted that
> > on the wiki somewhere?
> 
> Not at all! Go ahead.

The Packaging/Perl page would have been the obvious place but it's immutable to
everyone outside the packaging committee now.

> One other thing that I should be placing in the wiki is this rather outdated
> document  http://gsd.di.uminho.pt/jpo/perl/specfiles/.  Do you know a good tool
> to convert HTML pages into wiki formats?

I'll volunteer to transcribe it if you like. Might be better to update it and/or
strip out the outdated bits first though.
Comment 9 Jose Pedro Oliveira 2006-09-07 12:06:22 EDT
(In reply to comment #8)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Thanks for the most excellent summary, Jose :)  Would you mind if I posted
that
> > > on the wiki somewhere?
> > 
> > Not at all! Go ahead.
> 
> The Packaging/Perl page would have been the obvious place but it's immutable to
> everyone outside the packaging committee now.

And at least a member of the packaging committee :(

> 
> > One other thing that I should be placing in the wiki is this rather outdated
> > document  http://gsd.di.uminho.pt/jpo/perl/specfiles/.  Do you know a good tool
> > to convert HTML pages into wiki formats?
> 
> I'll volunteer to transcribe it if you like. Might be better to update it and/or
> strip out the outdated bits first though.

Thanks! That would be great. I will start updating it.

Comment 10 Chris Weyl 2007-04-19 16:41:05 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.